.flight-widget
  position relative
  max-width 980px
  width 100%
  margin 0 auto
  bottom 0
  padding-bottom 48px
  z-index 2
  margin-top auto
  padding-top 30px

  +fbp(xs)
    margin-bottom 60px
    padding-top 0

.flight-widget__title
  font-family $secondaryFont
  font-size 16px
  line-height 1.375
  text-align center
  letter-spacing -0.0125em
  text-transform uppercase
  margin-bottom 1.8125em
  color $white

.flight-widget__add-more
  font-weight 500
  font-size 16px
  line-height 100%
  align-items center
  color $secondary5
  display inline-block
  padding-left 24px
  transition color 0.3s
  position absolute
  left 11px
  bottom 16px
  cursor pointer
  user-select none

  &:before
    content ''
    position absolute
    width 9px
    height 1px
    left 1px
    top 7px
    background $secondary5
    transition all 0.3s

  &:after
    content ''
    position absolute
    height 9px
    width 1px
    left 5px
    top 3px
    background $secondary5
    transition all 0.3s

  &:hover
    color $secondary3

    &:before
    &:after
      background-color $secondary3

  +fbp(xs)
    color $white

    &:before
    &:after
      background-color $white

    &:hover
      color $primary

      &:before
      &:after
        background-color $primary

.flight-widget-form
  position relative
  background $white
  min-height 96px
  z-index 1

  &:before
    content ''
    position absolute
    height 84px
    left 12px
    top -12px
    right 12px
    background linear-gradient(360deg, $secondary -156.25%, $white -156.21%, rgba($white, 0.06) 179.02%)
    z-index -1

.flight-widget-form__inputs
  position relative

  +fbp(sm)
    padding-bottom 69px

.flight-widget-form__single
  display flex
  border-bottom 1px solid $secondary7
  padding-right 159px
  position relative

  &:last-child
    border-bottom 0

  +fbp(sm)
    padding-right 0
    padding-bottom 0

  +fbp(xs)
    display block

    &:not(:first-child)
      padding-top 42px

      .flight-widget-form__item:first-child
        border-top 1px solid $secondary7

// &:first-child
//   margin-top 0
//   border-top 0

.flight-widget-form__item
  position relative
  width 33.33%
  background $white
  transition background-color 0.3s
  border-left 1px solid $secondary7

  &:first-child
    border-left 0

  &:before
    position absolute
    left 35px
    color $secondary3
    top 50%
    transform translateY(-50%)
    transition all 0.3s

  &.icon-plane_up
    &:before
      width 26px
      height 20px
      font-size 20px

  &.icon-plane_down
    &:before
      width 26px
      height 20px
      font-size 20px

  &.icon-calendar
    &:before
      width 24px
      height 24px
      font-size 24px

  &.is-filled
    &:before
      opacity 0

    .flight-widget-form__input
      input
        padding-top 10px

    .flight-widget-form__placeholder
      font-weight 400
      transform translateX(-48px) translateY(-23px) scale(0.7)

      +fbp(sm)
        transform translateX(-48px) translateY(-15px) scale(0.7)

  &.is-focus:not(.flight-widget-form__item--date)
  &.is-active:not(.flight-widget-form__item--date)
    background-color $secondary2

    &:before
      opacity 0


    .flight-widget-form__input
      input
        padding-top 10px
        color $white

    .flight-widget-form__placeholder
      color $secondary6
      font-weight 400
      transform translateX(-48px) translateY(-23px) scale(0.7)

      +fbp(sm)
        transform translateX(-48px) translateY(-15px) scale(0.7)

  +fbp(sm)
    &:before
      left 20px

  +fbp(xs)
    display block
    width 100%
    border 0
    border-top 1px solid $secondary7

    &:first-child
      border-top 0

.flight-widget-form__item--date
  &.is-focus
    background-color $secondary2

    &:before
      color $secondary7

    .flight-widget-form__input
      input
        color $white

    .flight-widget-form__placeholder
      color $secondary6

  +fbp(sm)
    width 33.5%

  +fbp(xs)
    width 100%

.flight-widget-form__input
  width 100%

  input
    display block
    width 100%
    height 96px
    outline 0
    border 0
    padding 0
    padding-left 35px
    padding-right 35px
    font-weight 500
    font-size 18px
    line-height 1.333333
    color $secondary2
    background none
    position relative
    z-index 1
    transition color 0.3s

  +fbp(sm)
    input
      padding-left 15px
      font-size 16px
      height 70px

.flight-widget-form__placeholder
  position absolute
  right 0
  left 83px
  top 50%
  color $secondary2
  font-weight 500
  font-size 18px
  line-height 1.333333
  margin-top -0.666667em
  transition all 0.3s
  transform-origin 0 0

  +fbp(sm)
    left 63px
    font-size 16px

.flight-widget-form__dropdown
  position absolute
  bottom 100%
  width 200%
  left 0
  margin-bottom 5px
  background $white
  height 300px
  z-index 100

  +fbp(xs)
    height 230px
    bottom auto
    margin-bottom 0
    top 100%
    margin-top 0
    overflow hidden
    box-shadow 0 2px 10px rgba($black, 0.2)
    width 100%

.flight-widget-form__list-container
  width 100%
  position absolute
  left 0
  top 0
  height 100%
  background $white
  overflow hidden

  +fbp(xs)
    transition transform 0.3s
    max-height 230px
    opacity 1 !important
    display block !important


.flight-widget-form__list
  position relative
  padding 0 10px
  background $white
  max-height 300px

  +fbp(xs)
    max-height 230px

  li
    padding 20px 0
    padding-left 38px
    padding-right 40px
    font-weight 500
    font-size 16px
    line-height 100%
    color $secondary2
    position relative
    border-top 1px solid $secondary7
    user-select none
    cursor pointer
    transition background-color 0.3s

    &:first-child
      border-bottom 0

    &:hover
      background-color $secondary7

    &:before
      content ''
      position absolute
      left 12px
      top 50%
      margin-top -7px
      width 12px
      height 14px
      background url('/images/flag.svg') no-repeat 0 0
      background-size contain

    img
      position absolute
      width 22px
      height 16px
      right 10px
      top 50%
      margin-top -8px

.flight-widget-form__input-clear
.flight-widget-form__delete-row
.flight-widget-form__close-form
  position absolute
  width 22px
  height 22px
  border-radius 50%
  right 25px
  z-index 2
  top 50%
  transform translateY(-50%)
  outline 0
  border 0
  background $secondary7
  cursor pointer
  transition background-color 0.3s, box-shadow 0.3s

  &:before
    position absolute
    width 8px
    height 8px
    font-size 8px
    color $secondary3
    top 50%
    left 50%
    margin-left -4px
    margin-top -4px
    transition color 0.3s

  &:hover
    background-color $secondary7
    box-shadow 0 0 0 2px $secondary7

    &:before
      color $secondary2

  +fbp(sm)
    right 15px

// .flight-widget-form__close-form
//   margin-top 0
//   top -59px

.flight-widget-form__delete-row
  +fbp(xs)
    margin-top 0
    top 10px
    transform translateY(0)

.flight-widget-form__button
  width 160px
  position absolute
  right 0
  top 0
  height 96px
  font-size 18px
  line-height 1.333333
  text-transform none
  padding 0
  min-width 0

  &:before
    border-top 48px solid $primary
    border-bottom 48px solid transparent
    border-left 25px solid $primary
    border-right 25px solid transparent

  +fbp(sm)
    width 100%
    top auto
    bottom 0
    height 70px
    font-size 16px


.flight-widget-form__body
  padding 35px
  position relative
  background-color $white

  +fbp(xs)
    padding 15px

.flight-widget-thank
  background-color $white
